Viscosity 1.7.13 (1589) can not connect - no error is given

Got a problem with Viscosity or need help? Ask here!

bernard.rondelez

Posts: 3
Joined: Wed Jan 16, 2019 6:50 pm

Post by bernard.rondelez » Wed Jan 16, 2019 6:58 pm
Hi

After update to viscosity 1.7.13 (1589) I can no longer connect to any of my sites. The program does not give any error.

In the log I find following errors:

jan 16 8:42:20: OpenSSL: error:0906D066:PEM routines:PEM_read_bio:bad end line
jan 16 8:42:20: OpenSSL: error:140AD009:SSL routines:SSL_CTX_use_certificate_file:PEM lib
jan 16 8:42:20: Cannot load certificate file C:\Users\Gebruiker\AppData\Roaming\Viscosity\OpenVPN\8\cert.crt
jan 16 8:42:20: Exiting due to fatal error
jan 16 8:42:20: Status gewijzigd naar Disconnected

Is there any way to return to the previous 1.7.12 version because I need viscosity urgently!

Regards,

Bernard Rondelez

Eric

User avatar
Posts: 891
Joined: Sun Jan 03, 2010 3:27 am

Post by Eric » Thu Jan 17, 2019 12:17 pm
Hi Bernard,

Thanks for reporting this. Are you able to send us a copy of your cert file (only the cert file, not the key) and your config file?

Regards,
Eric
Eric Thorpe
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

bernard.rondelez

Posts: 3
Joined: Wed Jan 16, 2019 6:50 pm

Post by bernard.rondelez » Thu Jan 17, 2019 7:08 pm
Hi

Thank you for your reply.

I placed the files in a shared folder: https://drive.google.com/drive/folders/ ... sp=sharing

Kind Regards

Bernard Rondelez

Eric

User avatar
Posts: 891
Joined: Sun Jan 03, 2010 3:27 am

Post by Eric » Thu Jan 17, 2019 7:10 pm
Hi Bernard,

Thanks for the reply! I think we've found the underlying issue. We've just released 1.7.13.1 Beta 1 to our beta stream which will hopefully resolve this issue. We'd highly appreciate it if you could grab the beta and let us know if the problem still occurs!

https://sparklabs.com/support/kb/articl ... -versions/

Regards,
Eric
Eric Thorpe
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

RaidX44

Posts: 2
Joined: Fri Jan 18, 2019 8:33 am

Post by RaidX44 » Fri Jan 18, 2019 8:49 am
We have the exact same issue... is there a way to grab the 1.7.12 version on your site... I cant find it and this is a major issue

Eric

User avatar
Posts: 891
Joined: Sun Jan 03, 2010 3:27 am

Post by Eric » Fri Jan 18, 2019 11:40 am
Hi RaidX44,

The current beta will resolve this issue if you can update to it using the above instructions. If you are not comfortable with updating to a beta, please email us and we will send you a link for 1.7.12.

Regards,
Eric
Eric Thorpe
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

Albert50

Posts: 4
Joined: Wed Jan 16, 2019 12:09 am

Post by Albert50 » Fri Jan 18, 2019 11:29 pm
The BETA release solves my issue reported in viewtopic.php?f=9&t=2648 Thanks guys

bernard.rondelez

Posts: 3
Joined: Wed Jan 16, 2019 6:50 pm

Post by bernard.rondelez » Mon Jan 21, 2019 6:56 pm
Hi

I've installed the beta version 1.7.14 (1592) beta1 and I can once again connect to my remote sites.

Thank you for the quick support!

Kind Regards

Bernard Rondelez

Eric

User avatar
Posts: 891
Joined: Sun Jan 03, 2010 3:27 am

Post by Eric » Mon Jan 21, 2019 6:58 pm
Thanks very much for letting us know, Bernard!
Eric Thorpe
Viscosity Developer

Web: http://www.sparklabs.com
Support: http://www.sparklabs.com/support
Twitter: http://twitter.com/sparklabs

RaidX44

Posts: 2
Joined: Fri Jan 18, 2019 8:33 am

Post by RaidX44 » Wed Jan 23, 2019 5:35 am
The new 1.7.14 fixed my issue too

Thx for that quick fix... It was indeed quick!!
10 posts Page 1 of 1